# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "sequel"
  s.version = "5.31.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/jeremyevans/sequel/issues", "changelog_uri" => "http://sequel.jeremyevans.net/rdoc/files/CHANGELOG.html", "documentation_uri" => "http://sequel.jeremyevans.net/documentation.html", "mailing_list_uri" => "https://groups.google.com/forum/#!forum/sequel-talk", "source_code_uri" => "https://github.com/jeremyevans/sequel" } if s.respond_to? :metadata=
  s.authors = ["Jeremy Evans"]
  s.date = "2020-04-01"
  s.description = "The Database Toolkit for Ruby"
  s.email = "code@jeremyevans.net"
  s.executables = ["sequel"]
  s.extra_rdoc_files = ["README.rdoc", "CHANGELOG", "MIT-LICENSE", "doc/association_basics.rdoc", "doc/model_dataset_method_design.rdoc", "doc/advanced_associations.rdoc", "doc/bin_sequel.rdoc", "doc/cheat_sheet.rdoc", "doc/code_order.rdoc", "doc/core_extensions.rdoc", "doc/dataset_basics.rdoc", "doc/dataset_filtering.rdoc", "doc/extensions.rdoc", "doc/mass_assignment.rdoc", "doc/migration.rdoc", "doc/opening_databases.rdoc", "doc/model_hooks.rdoc", "doc/model_plugins.rdoc", "doc/object_model.rdoc", "doc/sql.rdoc", "doc/mssql_stored_procedures.rdoc", "doc/thread_safety.rdoc", "doc/postgresql.rdoc", "doc/querying.rdoc", "doc/prepared_statements.rdoc", "doc/reflection.rdoc", "doc/security.rdoc", "doc/virtual_rows.rdoc", "doc/schema_modification.rdoc", "doc/sharding.rdoc", "doc/testing.rdoc", "doc/validations.rdoc", "doc/transactions.rdoc", "doc/release_notes/5.5.0.txt", "doc/release_notes/5.6.0.txt", "doc/release_notes/5.0.0.txt", "doc/release_notes/5.1.0.txt", "doc/release_notes/5.2.0.txt", "doc/release_notes/5.3.0.txt", "doc/release_notes/5.4.0.txt", "doc/release_notes/5.8.0.txt", "doc/release_notes/5.7.0.txt", "doc/release_notes/5.9.0.txt", "doc/release_notes/5.10.0.txt", "doc/release_notes/5.11.0.txt", "doc/release_notes/5.12.0.txt", "doc/release_notes/5.13.0.txt", "doc/release_notes/5.14.0.txt", "doc/release_notes/5.15.0.txt", "doc/release_notes/5.16.0.txt", "doc/release_notes/5.17.0.txt", "doc/release_notes/5.18.0.txt", "doc/release_notes/5.19.0.txt", "doc/release_notes/5.20.0.txt", "doc/release_notes/5.21.0.txt", "doc/release_notes/5.22.0.txt", "doc/release_notes/5.23.0.txt", "doc/release_notes/5.24.0.txt", "doc/release_notes/5.25.0.txt", "doc/release_notes/5.26.0.txt", "doc/release_notes/5.27.0.txt", "doc/release_notes/5.28.0.txt", "doc/release_notes/5.29.0.txt", "doc/release_notes/5.30.0.txt", "doc/release_notes/5.31.0.txt"]
  s.files = ["bin/sequel", "README.rdoc", "CHANGELOG", "MIT-LICENSE", "doc/association_basics.rdoc", "doc/model_dataset_method_design.rdoc", "doc/advanced_associations.rdoc", "doc/bin_sequel.rdoc", "doc/cheat_sheet.rdoc", "doc/code_order.rdoc", "doc/core_extensions.rdoc", "doc/dataset_basics.rdoc", "doc/dataset_filtering.rdoc", "doc/extensions.rdoc", "doc/mass_assignment.rdoc", "doc/migration.rdoc", "doc/opening_databases.rdoc", "doc/model_hooks.rdoc", "doc/model_plugins.rdoc", "doc/object_model.rdoc", "doc/sql.rdoc", "doc/mssql_stored_procedures.rdoc", "doc/thread_safety.rdoc", "doc/postgresql.rdoc", "doc/querying.rdoc", "doc/prepared_statements.rdoc", "doc/reflection.rdoc", "doc/security.rdoc", "doc/virtual_rows.rdoc", "doc/schema_modification.rdoc", "doc/sharding.rdoc", "doc/testing.rdoc", "doc/validations.rdoc", "doc/transactions.rdoc", "doc/release_notes/5.5.0.txt", "doc/release_notes/5.6.0.txt", "doc/release_notes/5.0.0.txt", "doc/release_notes/5.1.0.txt", "doc/release_notes/5.2.0.txt", "doc/release_notes/5.3.0.txt", "doc/release_notes/5.4.0.txt", "doc/release_notes/5.8.0.txt", "doc/release_notes/5.7.0.txt", "doc/release_notes/5.9.0.txt", "doc/release_notes/5.10.0.txt", "doc/release_notes/5.11.0.txt", "doc/release_notes/5.12.0.txt", "doc/release_notes/5.13.0.txt", "doc/release_notes/5.14.0.txt", "doc/release_notes/5.15.0.txt", "doc/release_notes/5.16.0.txt", "doc/release_notes/5.17.0.txt", "doc/release_notes/5.18.0.txt", "doc/release_notes/5.19.0.txt", "doc/release_notes/5.20.0.txt", "doc/release_notes/5.21.0.txt", "doc/release_notes/5.22.0.txt", "doc/release_notes/5.23.0.txt", "doc/release_notes/5.24.0.txt", "doc/release_notes/5.25.0.txt", "doc/release_notes/5.26.0.txt", "doc/release_notes/5.27.0.txt", "doc/release_notes/5.28.0.txt", "doc/release_notes/5.29.0.txt", "doc/release_notes/5.30.0.txt", "doc/release_notes/5.31.0.txt"]
  s.homepage = "http://sequel.jeremyevans.net"
  s.licenses = ["MIT"]
  s.rdoc_options = ["--quiet", "--line-numbers", "--inline-source", "--title", "Sequel: The Database Toolkit for Ruby", "--main", "README.rdoc"]
  s.require_paths = ["lib"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.2")
  s.rubygems_version = "2.0.14.1"
  s.summary = "The Database Toolkit for Ruby"

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<minitest>, [">= 5.7.0"])
      s.add_development_dependency(%q<minitest-hooks>, [">= 0"])
      s.add_development_dependency(%q<minitest-global_expectations>, [">= 0"])
      s.add_development_dependency(%q<minitest-shared_description>, [">= 0"])
      s.add_development_dependency(%q<tzinfo>, [">= 0"])
      s.add_development_dependency(%q<activemodel>, [">= 0"])
      s.add_development_dependency(%q<nokogiri>, [">= 0"])
    else
      s.add_dependency(%q<minitest>, [">= 5.7.0"])
      s.add_dependency(%q<minitest-hooks>, [">= 0"])
      s.add_dependency(%q<minitest-global_expectations>, [">= 0"])
      s.add_dependency(%q<minitest-shared_description>, [">= 0"])
      s.add_dependency(%q<tzinfo>, [">= 0"])
      s.add_dependency(%q<activemodel>, [">= 0"])
      s.add_dependency(%q<nokogiri>, [">= 0"])
    end
  else
    s.add_dependency(%q<minitest>, [">= 5.7.0"])
    s.add_dependency(%q<minitest-hooks>, [">= 0"])
    s.add_dependency(%q<minitest-global_expectations>, [">= 0"])
    s.add_dependency(%q<minitest-shared_description>, [">= 0"])
    s.add_dependency(%q<tzinfo>, [">= 0"])
    s.add_dependency(%q<activemodel>, [">= 0"])
    s.add_dependency(%q<nokogiri>, [">= 0"])
  end
end
